Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.config
Class IBeanHolderConfigurationBuilder

    java.lang.Object
      org.mule.config.builders.AbstractConfigurationBuilder
          org.mule.config.AnnotationsConfigurationBuilder
              org.mule.module.ibeans.config.AbstractAnnotationConfigurationBuilder
                  org.mule.module.ibeans.config.IBeanHolderConfigurationBuilder

All Implemented Interfaces:
  ConfigurationBuilder

    public class IBeanHolderConfigurationBuilder

extends AbstractAnnotationConfigurationBuilder

A configuration builder that registers iBean objects on the classpath with the Mule registry.

The registry can then be used to query available iBeans.

Field Summary
`static String` | `IBEAN_HOLDER_PREFIX`

Fields inherited from class org.mule.module.ibeans.config.AbstractAnnotationConfigurationBuilder
`basepackages, classLoader, DEFAULT_BASE_PACKAGE, IBEANS_PROPERTIES`

Fields inherited from class org.mule.config.builders.AbstractConfigurationBuilder
`configured, logger`

Constructor Summary
`IBeanHolderConfigurationBuilder()`
`IBeanHolderConfigurationBuilder(ClassLoader classLoader)`
`IBeanHolderConfigurationBuilder(ClassLoader classLoader, String... basepackages)`
`IBeanHolderConfigurationBuilder(String... basepackages)`

Method Summary
`protected void` | `doConfigure(MuleContext muleContext)` Will configure a MuleContext based on the configuration provided.
`protected String` | `getScanPackagesProperty()`

Methods inherited from class org.mule.module.ibeans.config.AbstractAnnotationConfigurationBuilder
`convertPackagesToPaths, createClasspathScanner, findPackages`

Methods inherited from class org.mule.config.AnnotationsConfigurationBuilder
`createAnnotationsParserFactory`

Methods inherited from class org.mule.config.builders.AbstractConfigurationBuilder
`applyLifecycle, configure, isConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IBEAN_HOLDER_PREFIX

    public static final String IBEAN_HOLDER_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### IBeanHolderConfigurationBuilder

    public IBeanHolderConfigurationBuilder()

### IBeanHolderConfigurationBuilder

    public IBeanHolderConfigurationBuilder(String... basepackages)

### IBeanHolderConfigurationBuilder

    public IBeanHolderConfigurationBuilder(ClassLoader classLoader)

### IBeanHolderConfigurationBuilder

    public IBeanHolderConfigurationBuilder(ClassLoader classLoader,
                                           String... basepackages)

Method Detail

### getScanPackagesProperty

    protected String getScanPackagesProperty()

  Specified by:
    `getScanPackagesProperty` in class `AbstractAnnotationConfigurationBuilder`

### doConfigure

    protected void doConfigure(MuleContext muleContext)
                        throws Exception

  Description copied from class: `AbstractConfigurationBuilder`
  Will configure a MuleContext based on the configuration provided. The configuration will be set on the `ConfigurationBuilder` implementation as bean properties before this method has been called.

  Overrides:
    `doConfigure` in class `AnnotationsConfigurationBuilder`
  Parameters:
    `muleContext` - The current `MuleContext`
  Throws:
    `ConfigurationException` - if the configuration fails i.e. an object cannot be created or initialised properly
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.